tpPLC crashes if recent version of flash is installed

tpPLC crashes if recent version of flash is installed
tpPLC crashes if recent version of flash is installed
2020-03-28 03:12:05
Hardware Version: V1
Firmware Version:

Unfortunately I am no longer able to run tpPLC because it causes the current version of flash on my system to crash. I see that tpPLC does include a MUCH older version of flash.ocx in the application directory, but the executable ignores it.

 

Is there anything that can be done to run tpPLC anymore? The included flash.ocx appears to be version 15.0.0.152, but the installed version is much much newer (32.0.0.330)

 

Running tpPLC on a virtual machine without the new version of flash does work, but this is unreasonable.

 

Error from Windows event log:

 

Fault bucket , type 0
Event Name: APPCRASH
Response: Not available
Cab Id: 0

Problem signature:
P1: tpPLC.exe
P2: 2.2.3149.12
P3: 5b7526b7
P4: Flash.ocx
P5: 32.0.0.330
P6: 5e2f71c6
P7: c0000005
P8: 00140d16
P9:
P10:

 

0
0
#1
Options
7 Replies
Re:tpPLC crashes if recent version of flash is installed
2020-03-30 18:23:50

@elbarsal 

 

What is the Windows operating system, bit version (32 or 64 bit), and release you are running on?

0
0
#2
Options
Re:tpPLC crashes if recent version of flash is installed
2020-08-16 16:31:56

@Tony Windows 10 x64 bits.

Same problem here.

You are running an old OCX file that won't run anymore in any modern OS.

Besides, Adobe Flash will be out of support by the end of this year.

0
0
#3
Options
Re:tpPLC crashes if recent version of flash is installed
2020-08-17 20:55:54

If you are not able to run the utility, you can opt to run our smartphone tpPLC app instead: link

 

Try and use this version of the tpPLC utility: link

0
0
#4
Options
Re:tpPLC crashes if recent version of flash is installed
2020-08-28 17:17:11

@Tony nmo, the utility "runs". The problem is that it keeps looking for devices forever and doesn't allow you to click any button on it.

The same issue than many others are reporting.

Before posting I already tried exactly the Windows app you linked and the android app. Android App is only for Wireless adapters, not for cabled ones.

 

I'm possitive than the issue is related with the really old Flash app.

Are there any plans in TP-Link to solve this or should we avoid buying TP-Link PLCs at all costs?

0
0
#5
Options
Re:tpPLC crashes if recent version of flash is installed
2020-09-12 06:57:45 - last edited 2020-09-12 07:05:36

TP-Link... Please provide non-Flash utility! Flash (and Internet Explorer) is dead.

 

Smartphone tpPLC app cannot find my TL-PA9020P powerline devices.

0
0
#6
Options
Re:tpPLC crashes if recent version of flash is installed
2021-01-14 16:49:26

@elbarsal 

Agreed, non flash utility would be appriciated..

0
0
#7
Options
Re:tpPLC crashes if recent version of flash is installed
2021-02-15 19:52:21 - last edited 2021-02-15 19:53:23

@elbarsal This one works (it doesn't matter if it's not for your specific PowerLine version). It's the same tool for Windows but newer -and probably not using Flash anymore:

https://www.tp-link.com/en/support/download/tl-wpa8630p-kit/#Utility

 

0
0
#8
Options